# $Revision: 1.83 $, $Date: 2006/05/21 22:39:23 $
# TODO
# - missing service restart
# Conditional build:
%bcond_without	whoson	# build without WHOSON support
%bcond_without	ldap	# build without LDAP support
%bcond_without	gdbm	# build without GDBM support
#
Summary:	Secure Mailer for Extreme Performance Demands
Summary(pl):	Bezpieczny MTA dla Wymagajcych Ekstremalnej Wydajnoci
Name:		zmailer
Version:	2.99.56
Release:	7
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.funet.fi/pub/unix/mail/zmailer/src/%{name}-%{version}.tar.gz
# Source0-md5:	c94cc0c2e2427a210a046a02ac4c2d50
Source1:	%{name}-pl.txt
Source2:	forms-pl-0.4.tar.gz
# Source2-md5:	c4ca963cd941e3ac533860d7d3d9f4b1
Source3:	%{name}.logrotate
Patch0:		%{name}-config.diff
Patch1:		%{name}-ldap-lmap.patch
Patch2:		%{name}-glibc.patch
Patch3:		%{name}-sleepycatdb.patch
URL:		http://www.zmailer.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	ed
%{?with_gdbm:BuildRequires:	gdbm-devel}
BuildRequires:	libwrap-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	perl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_whoson:BuildRequires:	whoson-devel}
Requires(post):	fileutils
Requires(post):	grep
Requires(post):	net-tools
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	grep
Requires:	/etc/cron.d
Requires:	logrotate >= 2.4
Requires:	rc-scripts
%{?with_whoson:Requires:	whoson >= 1.08}
Provides:	group(zmailer)
Provides:	smtpdaemon
Obsoletes:	courier
Obsoletes:	exim
Obsoletes:	masqmail
Obsoletes:	nullmailer
Obsoletes:	omta
Obsoletes:	postfix
Obsoletes:	qmail
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	smtpdaemon
Obsoletes:	ssmtp
Conflicts:	vacation
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package that implements an internet message transfer agent
called ZMailer. It is intended for gateways or mail servers or other
large site environments that have extreme demands on the abilities of
the mailer. It was motivated by the problems of the Sendmail design in
such situations. Zmailer is one of the mailers able to deal with huge
quantities of mail and is more efficient any other mailer, qmail
included. It supports IPv6, WHOSON, SSL and TLS protocol.

%description -l pl
Ten pakiet zawiera implementacj agenta transportu wiadomoci
internetowych o nazwie ZMailer. ZMailer przeznaczony jest dla bramek,
serwerw poczty lub innych rodowisk wymagajcych niezwykych
moliwoci od mailera. Motywacj dla ZMailera byy problemy z
Sendmailem w trudnych sytuacjach. ZMailer jest jednym z tych mailerw,
ktre potrafi da sobie rad z ogromn iloci poczty. Ponadto
ZMailer jest bardziej wydajny od innych mailerw wczajc w to
qmaila. Kolejn zalet jest wsparcie dla protokou IPv6, WHOSON, SSL
oraz TLS.

%package devel
Summary:	Static library and header file for zmailer
Summary(pl):	Plik nagwkowy i biblioteka statyczna dla zmailera
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This is ZMailer's development package. It includes static library and
header file.

%description devel -l pl
To jest pakiet dla developerw. Zawiera plik nagwkowy i bibliotek
statyczn ZMailera.

%prep
%setup -q -a2
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--with-zconfig=%{_sysconfdir}/mail/zmailer.conf \
	--with-postoffice=/var/spool/postoffice \
	--with-rmailpath=%{_bindir}/rmail \
	--with-nntpserver=news \
	--with-system-malloc \
	--with-mailshare=%{_sysconfdir}/mail \
	--with-mailbin=%{_libdir}/zmailer \
	--with-mailvar=%{_sysconfdir}/mail \
	--with-ta-mmap \
	%{?with_whoson:--with-whoson} \
	%{?with_ldap:--with-ldap-prefix} \
	--with-openssl-prexix=%{_prefix} \
	--with-tcp-wrappers \
	--with-ipv6 \
	--with-mailbox=/var/mail
#	--with-yp \
#	--with-yp-lib='-lyp'
#	--prefix=%{_libdir}/zmailer \
#	--with-zconfig=no

%{__make} -j1 all \
	COPTS="%{rpmcflags} -w"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,3,5,8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{cron.d,logrotate.d,rc.d/init.d} \
	$RPM_BUILD_ROOT{/var/mail,%{_sbindir}} \
	$RPM_BUILD_ROOT/var/log/archiv/mail

# Install main files
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAILVAR=$RPM_BUILD_ROOT%{_sysconfdir}/mail \
	MAILSHARE=$RPM_BUILD_ROOT%{_sysconfdir}/mail \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir}

install	contrib/zmailcheck	$RPM_BUILD_ROOT%{_libdir}/zmailer/zmailcheck
install	utils/zmailer.init.sh	$RPM_BUILD_ROOT/etc/rc.d/init.d/zmailer

> $RPM_BUILD_ROOT%{_sysconfdir}/mail/mailname

# Few symlinks
ln -fs zmailer/sendmail			$RPM_BUILD_ROOT%{_libdir}/sendmail
ln -fs ../lib/zmailer/vacation.sh	$RPM_BUILD_ROOT%{_bindir}/vacation
ln -fs ../lib/zmailer/mailq		$RPM_BUILD_ROOT%{_bindir}/mailq
ln -fs ../lib/zmailer/rmail		$RPM_BUILD_ROOT%{_bindir}/rmail
ln -fs ../lib/zmailer/newaliases	$RPM_BUILD_ROOT%{_bindir}/newaliases
ln -fs ../lib/zmailer/zmailer		$RPM_BUILD_ROOT%{_sbindir}/zmailer
ln -fs ../lib/zmailer/sendmail		$RPM_BUILD_ROOT%{_sbindir}/sendmail

# Install manual pages
%{__make} -C man install \
	S=../man \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

# To avoid conflict with INN
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/sm.8zm $RPM_BUILD_ROOT%{_mandir}/man8/sm-zmailer.8zm

(
# Install Polish/English forms
cd forms*
cp -f forms/* $RPM_BUILD_ROOT%{_sysconfdir}/mail/forms/proto
install vacation.msg $RPM_BUILD_ROOT%{_sysconfdir}/mail

# Install proto files
cd $RPM_BUILD_ROOT%{_sysconfdir}/mail/proto
for x in *; do cp -f $x ..; done
cd $RPM_BUILD_ROOT%{_sysconfdir}/mail/forms/proto
for x in *; do cp -f $x ..; done
cd $RPM_BUILD_ROOT%{_sysconfdir}/mail/db/proto
for x in *; do cp -f $x ..; done
cd $RPM_BUILD_ROOT%{_sysconfdir}/mail/cf/proto
for x in *; do cp -f $x ..; done
cd $RPM_BUILD_ROOT%{_sysconfdir}/mail
cp -f ./cf/SMTP+UUCP.cf router.cf
)

# Aliases
> $RPM_BUILD_ROOT%{_sysconfdir}/mail/aliases

# Remove unnecesary proto and bak files
rm -rf `find $RPM_BUILD_ROOT -name proto`
rm -rf `find $RPM_BUILD_ROOT -name bak`

# Install another files
cat << EOF > $RPM_BUILD_ROOT/etc/cron.d/zmailer
# Resubmit deferred messages
28 */1 * * *		root	! %{_libdir}/zmailer/zmailer resubmit >/dev/null
# Cleanout public and postman directories
7 4 * * *		root	! %{_libdir}/zmailer/zmailer cleanup >/dev/null
# Check if services still work
11 6,12,18,0 * * *	root	! %{_libdir}/zmailer/zmailcheck
EOF

install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/zmailer

# postoffice tree (as created by proto/post-install.sh):
install -d $RPM_BUILD_ROOT/var/spool/postoffice/{deferred,freezer,postman,public}
for f1 in A B C D E F G H I J K L M N O P Q R S T U V W X Y Z ; do
	install -d $RPM_BUILD_ROOT/var/spool/postoffice/{TLSsrvrcache,TLSclntcache,router}/$f1
	for f2 in A B C D E F G H I J K L M N O P Q R S T U V W X Y Z ; do
		install -d $RPM_BUILD_ROOT/var/spool/postoffice/{queue,transport}/$f1/$f2
	done
done

cp -f %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/sbin/chkconfig --add zmailer

if [ "$1" = 1 -a -x /bin/hostname ]; then
	hostname --fqdn > /etc/mail/mailname
fi

if [ -f /etc/mail/router.fc ]; then
	rm -f /etc/mail/router.fc
fi

# Gymnastics to convice zmailer to use /etc/mail/aliases
# or provide /etc/mail/aliases it if not found.
if [ ! -L /etc/mail/db/aliases ]; then
	if [ -f /etc/mail/aliases ]; then
		echo "Generating Symlink to use /etc/mail/aliases for aliasing"
		rm -f /etc/mail/db/aliases || echo "Strange nothing at (Dziwnie puste) /etc/mail/db/aliases. Don't worry (Nie martw si)."
	else
		echo "Installing new /etc/mail/aliases from zmailer sample"
		mv -f /etc/mail/db/aliases /etc/aliases
	fi
	ln -sf ../aliases /etc/mail/db/aliases
fi

# Scan for Mandatory entries in /etc/aliases
# postoffice MAILER-DAEMON postmast nobody and other users
# otherwise bad things (tm) result.

if ! grep -q "^hostmaster:" /etc/mail/aliases; then
	echo "Adding Entry for hostmaster in /etc/mail/aliases"
	echo "hostmaster:	root" >>/etc/mail/aliases
fi

for i in postmaster postoffice MAILER-DAEMON postmast nobody webmaster administrator \
ftpmaster newsmaster w3cache squid news proxy abuse ircd; do
	if ! grep -q "^$i:" /etc/mail/aliases; then
		echo "Adding Entry for $i in /etc/mail/aliases"
		echo "$i:	hostmaster" >>/etc/mail/aliases
	fi
done

# localnames
for x in `hostname --fqdn` `hostname --domain` `hostname --yp`; do
	if [ -n $x ] && ! grep -q ^$x /etc/mail/db/localnames; then
		echo "$x		`hostname --fqdn`|"
	fi
done | tr -d '\n' | tr -s '|' '\n' | sort >> /etc/mail/db/localnames

# Rebuild databases
%{_libdir}/zmailer/zmailer newdb
%{_libdir}/zmailer/policy-builder.sh -n

%preun
if [ "$1" = "0" ]; then
	%service zmailer stop
	/sbin/chkconfig --del zmailer
	rm -f /var/spool/postoffice/.pid.*
fi

%pre
%groupadd -g 47 zmailer
for u in root petidomo uucp daemon news; do
	if [ -z "`/bin/id -u $u 2>/dev/null`" ]; then
		continue
	fi
	GROUPS=`/bin/id -n -G $u | sed 's/ /,/g'`
	if [ -z "`echo $GROUPS | grep '\(^\|,\)zmailer\($\|,\)'`" ]; then
		/usr/sbin/usermod -G "${GROUPS},zmailer" $u 1>&2 || :
	fi
done

%postun
if [ "$1" = "0" ]; then
	%groupremove zmailer
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog Overview README* TODO doc/toplevel-domains
%doc doc/manual/FAQ doc/design/zmog.ps zmailer-pl.txt doc/guides
%doc utils/usenet/usenet.sh utils/mail2news utils/mailgateway
%dir %{_sysconfdir}/mail
%config(noreplace) %{_sysconfdir}/mail/cf
%config(noreplace) %{_sysconfdir}/mail/forms
%config(noreplace) %{_sysconfdir}/mail/fqlists

%defattr(644,root,root,3755)
%config(noreplace) %{_sysconfdir}/mail/db

%defattr(644,root,root,2755)
%config(noreplace) %{_sysconfdir}/mail/lists

%defattr(644,root,root,755)
%attr(644,root,root) %config %{_sysconfdir}/mail/*.*
%attr(644,root,root) %{_sysconfdir}/mail/mailname
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mail/aliases

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/zmailer
%attr(640,root,root) /etc/cron.d/zmailer

%attr(754,root,root) /etc/rc.d/init.d/zmailer

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/sendmail
%attr(755,root,root) %{_libdir}/zmailer

%{_mandir}/man[158]/*
%attr(755,root,root) %dir /var/spool/postoffice
%attr(750,root,root) %dir /var/spool/postoffice/deferred
%attr(750,root,root) %dir /var/spool/postoffice/freezer
%attr(750,root,root) %dir /var/spool/postoffice/postman
%attr(750,root,root) %dir /var/spool/postoffice/queue
%attr(1777,root,root) %dir /var/spool/postoffice/public
%attr(1777,root,root) %dir /var/spool/postoffice/router
%attr(755,root,root) %dir /var/spool/postoffice/transport
%attr(755,root,root) %dir /var/spool/postoffice/transport/*
%attr(755,root,root) %dir /var/spool/postoffice/transport/*/*
%attr(755,root,root) %dir /var/spool/postoffice/queue/*
%attr(755,root,root) %dir /var/spool/postoffice/queue/*/*
%attr(700,root,root) %dir /var/spool/postoffice/TLSsrvrcache
%attr(700,root,root) %dir /var/spool/postoffice/TLSsrvrcache/*
%attr(700,root,root) %dir /var/spool/postoffice/TLSclntcache
%attr(700,root,root) %dir /var/spool/postoffice/TLSclntcache/*
%attr(750,root,root) %dir /var/log/mail
%attr(750,root,root) %dir /var/log/archiv/mail

%files devel
%defattr(644,root,root,755)

%{_libdir}/libzmailer.a
%{_includedir}/zmailer.h

%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zmailer.spec,v $
Revision 1.83  2006/05/21 22:39:23  glen
- rel 7

Revision 1.82  2006/03/13 23:14:32  glen
- use %service

Revision 1.81  2006/02/20 20:59:49  glen
- fix broken quotes
- avoid usermod users that don't exist
- fixed possibly broken upgrade
- rel 6, STBR

Revision 1.80  2006/01/18 20:30:19  ankry
- FIXME updated

Revision 1.79  2006/01/18 18:39:32  qboosh
- missing quotes

Revision 1.78  2006/01/18 18:04:17  baggins
- BR openldap 2.3

Revision 1.77  2006/01/18 18:03:57  baggins
- release 5

Revision 1.76  2006/01/18 18:03:08  baggins
- use groupadd macro
- don't remove logs on uninstall

Revision 1.75  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.74  2004/09/23 11:14:19  kolodko
- added macros in /etc/logrotate.d

Revision 1.73  2004/09/16 18:43:16  qboosh
- group issue is serious, release 4.1 until sb fix it

Revision 1.72  2004/09/15 21:01:47  ankry
- %groupremove support
- cosmetics
- attempt to add group using standard tools.
  NOTE: users/groups needn't be handled using /etc/* files

Revision 1.71  2004/08/08 15:54:30  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.70  2004/04/13 14:19:50  adamg
- release 4 (rebuild with new openldap)

Revision 1.69  2004/03/20 11:09:39  qboosh
- release 3

Revision 1.68  2004/03/20 10:57:53  qboosh
- refresh config.sub for amd64

Revision 1.67  2004/03/19 23:46:40  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.66  2004/03/18 16:15:59  marcus
- rel.2. for Ac.

Revision 1.65  2004/02/25 21:40:06  blues
- obsoletes ssmtp and nullmailer

Revision 1.64  2004/02/24 21:01:25  blues
- obsoletes courier

Revision 1.63  2004/02/01 18:41:29  maho
- fixed /etc/cron.d/zmailer
- added missed (noreplace) to %config in %files

Revision 1.62  2004/02/01 10:25:00  maho
- BR: perl-devel
- added (noreplace) to configuration dirs
- corrected config patch (apply to zmailer.sh.in,smtpserver.conf.in not to zmailer.sh,smtpserver.conf)

Revision 1.61  2004/01/31 05:16:54  maho
- fixed patches, added new patch for db-4.2.x.
- BR: db3-devel => BR: db-devel
- it builds now, and probably works, but some perl module is wasting

Revision 1.60  2003/11/20 20:29:39  eothane
- version update (not tested)
- bconds
- release 1

Revision 1.59  2003/09/30 20:18:37  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.58  2003/08/19 15:06:39  qboosh
- more specific Requires

Revision 1.57  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.56  2003/05/28 13:03:17  malekith
- massive attack: source-md5

Revision 1.55  2003/05/26 16:25:55  malekith
- massive attack: adding Source-md5

Revision 1.54  2003/05/25 06:28:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2003/02/28 10:09:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.52  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.51  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.50  2002/08/25 19:28:47  ankry
- Conflicts: vacation; typos
- release 4, STBR

Revision 1.49  2002/05/21 23:15:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.48  2002/03/02 12:37:06  kloczek
- cosmetics.

Revision 1.47  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/02/18 16:21:09  gotar
- (postun) flag for Requires: groupdel.

Revision 1.45  2002/02/18 12:06:47  gotar
- removed PreReq %%{_sbindir}/groupadd,
- PreReq: %%{_sbindir}/groupdel -> Requires: /usr/sbin/groupdel,
- Requires(pre): grep,
- Requires(post): grep, fileutils, net-tools, textutils,
- Obsoletes: masqmail, omta,
- release 3.

Revision 1.44  2002/01/18 02:15:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/12/07 20:49:49  grando
- added bcond for gdbm-devel

Revision 1.42  2001/12/06 20:57:29  juandon
- added ed to BuildRequires.
- Release: 2.

Revision 1.41  2001/10/11 14:55:58  qboosh
- BuildRequires: autoconf

Revision 1.40  2001/09/18 10:27:02  qboosh
- BuildRequires: pam-devel, db3-devel, gdbm-devel

Revision 1.39  2001/09/17 10:56:32  qboosh
- 2.99.55, updated config.diff, removed libwrap patch
- added glibc and acfix patches
- added bconds for ldap and whoson
- builds but not tested...

Revision 1.38  2001/07/26 05:42:27  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.36  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/02/19 23:56:57  kloczek
- release 2: make spec %%{debug} ready.

Revision 1.34  2000/11/09 14:02:51  kloczek
- start update to 2.99.54 (patches must be updated),
- added other curretly avalaible MTA to Obsoletes list,
- use new rpm automation.

Revision 1.33  2000/09/11 12:04:08  mis
- removed FHS dir /var/mail

Revision 1.32  2000/09/01 19:57:37  kloczek
- adapterized.

Revision 1.31  2000/09/01 13:56:36  baggins
- release 2
- fixed logrotate config

Revision 1.30  2000/08/29 14:16:01  baggins
- release 2
- removed openssl patch (obsoleted)
- compile with SSL and TCP wrappers

Revision 1.29  2000/07/19 16:05:25  mkochano
- Added Obsoletes: exim.

Revision 1.28  2000/06/09 07:24:25  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.26  2000/04/17 06:51:03  kloczek
- spec adapteized.

Revision 1.25  2000/04/15 17:55:37  mis
- typo

Revision 1.24  2000/04/01 11:16:03  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.22  1999/12/13 21:38:06  alchemyx
- ripped logrotate out of spec

Revision 1.21  1999/11/21 22:10:29  waszi
- small fixes

Revision 1.20  1999/11/12 00:58:43  kura

- changed Group to Networking/Daemons

Revision 1.19  1999/10/10 10:12:34  waszi
- Conflicts: -> Obsoletes:

Revision 1.18  1999/07/26 09:34:47  misiek
auto zmailer.spec actualization

Revision 1.21  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.20  1999/07/21 11:46:38  misiek
adding zmailer group + umask 022 in post

Revision 1.19  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/19 21:58:13  kloczek
- release 1.0,
- removed "Requires: smtpdaemon",
- removed Conflicts with sendmail, qmail, postfix, exim, smail and added
with smtpdaemon,
- some small cleanups.

Revision 1.17  1999/07/19 13:53:43  misiek
added missing BuildPrereq:

Revision 1.16  1999/07/19 13:52:32  misiek
official 2.99.51 version !

Revision 1.15  1999/07/15 15:39:06  misiek
pre3

Revision 1.14  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %%changelog (for automating them).

Revision 1.11  1999/07/05 12:18:40  misiek
update to 2.99.51-pre1

* Thu May 20 1999 Arkadiusz Mikiewicz <misiek@pld.org.pl>
  [2.99.50s18-1d]
- new version
- corrected spec file (ready for rpm 3.x)

* Thu Feb 10 1999 Micha Kuratczyk <kurkens@polbox.com>
  [2.99.50s11-4d]
- sloted BuildRoot into PLD standard
- "Conflicts: smtpdaemon" instead a lot of conflicts
- cosmetic changes

* Tue Jan 19 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[2.99.50s11-3d]
- compile with WHOSON support
- now it's using fsync()

* Sat Jan 16 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[2.99.50s11-2d]
- moved /etc/zmailer to /etc/mail
- moved /etc/{aliases,mailname} to /etc/mail/{aliases,mailname}
- spec completly rewrited

* Fri Nov 27 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[2.99.50-s11-1d]
- new forms-pl-0.3,
- still as 1d,
- changed Requires hc-cron to /etc/crontab.d (few cron daemons
  support it).
By Wojtek Slusarczyk <wojtek@shadow.eu.org>
- compressed mail pages.

* Thu Nov 26 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[2.99.50-s11-1d]
- added forms-pl-0.2 (Polish/English forms).

* Wed Nov 25 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- now using modified router.cf

* Tue Nov 24 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- updated to s11
- few changes

* Wed Nov 11 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- merged %%SOURCE1 and %%SOURCE2 into one file
- corrected mode on /var/spool/mail
- added few pl translations
- obsoletes replaced by conflicts
- added Group(pl)
- added smail and vmailer to conflicts
- changed mode to 600 on /etc/crontab.d/zmailer

* Mon Oct 12 1998 Arkadiusz Mikiewicz <misiek@zsz2.starachowice.pl>
[2.99.50s10-1d]
- new upstream release
- compiled with ipv6 support
- added /etc/crontab.d entry
- added hc-cron to requires
- added Polish documentation
- added alfa-glibc patch
- modified logrotate config

* Sun Sep 27 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- added -p to cp crontab file
- modified times in crontab file
- some fixes to manual.sgml
- added vacation to %%{_bindir}
- added more restrictive files and directories modes
- added logorotate rules
- added striping
- modified Summary
- added auto stopping ZMailer before removing package
- added auto removing pid files
- added development package (but what for ? ;)

* Sat Sep 26 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- added automatic removing Zmailer's cron jobs
- added $RPM_OPT_FLAGS to make

* Fri Sep 25 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- Initial rpm release
